Bug 552 - AR variable undefined in Makefile
AR variable undefined in Makefile
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
Other HP-UX
: P3 minor
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-01 12:21 UTC by Ryan Novosielski
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Novosielski 2003-10-01 12:21:55 UTC
When configure is run (platform is HP-UX 11.o using HP AnsiC compilers), the
Makefile that is generated does not include a value for the variable "AR," which
is later used in this chunk of code.

bin/libsmbclient.a: $(LIBSMBCLIENT_PICOBJS)
        @echo Linking libsmbclient non-shared library $@
        @-$(AR) -rc $@ $(LIBSMBCLIENT_PICOBJS)

...producing the error "-rc: not found" or equivalent.
Comment 1 Ryan Novosielski 2003-10-01 12:23:20 UTC
Also in this block:

bin/libmsrpc.a: $(LIBMSRPC_PICOBJ)
        @-$(AR) -rc $@ $(LIBMSRPC_PICOBJ) 
Comment 2 Tim Potter 2003-10-02 17:06:42 UTC
I suspect AR is automatically defined in GNU Make, but not in HPUX Make.

I've applied a fix to configure.in and Makefile.in.  There may be more fixed
required if there are systems who have an archiver that isn't called 'ar'.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:17:26 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.